export default {
  title: 'Auth',
  subtitle: 'Simple authentication service',
  sign_in: 'Sign In',
  common: {
    something_went_wrong: 'Something went wrong!',
  },
  form: {
    label: {
      continue_with: 'Or continue with',
    },
    login: {
      header_label: 'Welcome back',
      back_button_label: 'Don\'t have an account?',
      reset_password_link_text: 'Forgot password?',
    },
    register: {
      button: 'Register',
      header_label: 'Create an account',
      back_button_label: 'Already have an account?',
    },
    verification: {
      header_label: 'Confirming your account',
      back_button_label: 'Back to login',
    },
    reset: {
      button: 'Send reset email',
      header_label: 'Forgot your password?',
      back_button_label: 'Back to login',
    },
    new_password: {
      button: 'Reset password',
      header_label: 'Enter a new password',
      back_button_label: 'Back to login',
    },
    error: {
      email_in_use: 'Email already in use with different provider!',
      header_label: 'Oops! Something went wrong!',
      back_button_label: 'Back to login',
      email_taken: 'Can\'t create an user! Wait for verification by provided email.',
      invalid_fields: 'Invalid fields!',
      invalid_credentials: 'Invalid Credentials!',
      invalid_email: 'Email does not exist!',
      access_denied: 'Access denied!',
      missing_token: 'Missing token!',
      invalid_token: 'Invalid token!',
      expired_token: 'Token has expired!',
    },
  },
  email: {
    success: {
      confirmation_email_sent: 'Confirmation email sent!',
      reset_email_sent: 'A password reset letter has been sent to the specified email address!',
    },
    error: {
      verification_email_sending_error: 'Could not send verification email!',
      reset_password_sending_error: 'Could not send reset password email!',

    },
  },
} as const